# Lists transfers This endpoint lists existing transfers for an account. Currently, the API can only return transfers for the following payment rails: - ACH - DOMESTIC_WIRE - CHEQUE - INTERNATIONAL_WIRE Endpoint: GET /v1/transfers Version: 1.0 Security: OAuth2 ## Query parameters: - `cursor` (string,null) - `limit` (integer,null) ## Response 200 fields (application/json): - `next_cursor` (string,null) - `items` (array, required) - `items.id` (string, required) Unique ID associated with the transfer - `items.counterparty` (object,null) Counterparty Details for the transfer - Currently only supports vendors that are returned in the response from the /vendors endpoint BOOK_TRANSFER is a limited feature. Please reach out if you are interested. - `items.description` (string,null) Description of the transfer - `items.payment_type` (string, required) Enum: "ACH", "DOMESTIC_WIRE", "CHEQUE", "INTERNATIONAL_WIRE", "BOOK_TRANSFER", "STABLECOIN" - `items.amount` (object, required) Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700. - `items.amount.amount` (integer, required) The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents. Example: 700 - `items.amount.currency` (string,null) The type of currency, in ISO 4217 format. Example: "USD" - `items.process_date` (string,null) Transaction processing date - `items.originating_account` (object, required) Originating account details for the transfer - `items.status` (string, required) PROCESSING: We have started to process the sending or receiving of this transaction. SCHEDULED: The transaction is scheduled to enter the PROCESSING status. PENDING_APPROVAL: The transaction requires approval before it can enter the SCHEDULED or PROCESSING status. FAILED: A grouping of multiple terminal states that prevented the transaction from completing. This includes a a user-cancellation, approval being denied, insufficient funds, failed verifications, etc. PROCESSED: The money movement has been fully completed, which could mean money sent has arrived. Enum: "PROCESSING", "SCHEDULED", "PENDING_APPROVAL", "FAILED", "PROCESSED" - `items.cancellation_reason` (string,null) USER_CANCELLED: The transfer was canceled. INSUFFICIENT_FUNDS: The transfer could not be sent due to insufficient funds. APPROVAL_DENIED: The transfer was not sent because it was denied. BLOCKED_BY_POSITIVE_PAY: The transfer was blocked because of the ACH debit settings. Enum: "USER_CANCELLED", "INSUFFICIENT_FUNDS", "APPROVAL_DENIED", "BLOCKED_BY_POSITIVE_PAY" - `items.estimated_delivery_date` (string,null) Estimated delivery date for transfer - `items.creator_user_id` (string,null) User ID of the transfer initiator - `items.created_at` (string,null) Date of transfer creation - `items.display_name` (string,null) Human readable name for the transaction - `items.external_memo` (string,null) External memo for the transfer. Payment Instructions for Wires and the Entry Description for ACH payments. Must be at most 90 characters for ACH and WIRE transactions and at most 40 characters for CHEQUES - `items.is_ppro_enabled` (boolean,null) If Principal Protection (PPRO) is enabled ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields